// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Uom的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Uom_PlantNr = grmi.NewField("PlantNr", "Uom.PlantNr", "plantnr", grmi.TypeInt)
var Uom_UomId = grmi.NewField("UomId", "Uom.UomId", "uomid", grmi.TypeString)
var Uom_UomName = grmi.NewField("UomName", "Uom.UomName", "uomname", grmi.TypeString)
var Uom_UomType = grmi.NewField("UomType", "Uom.UomType", "uomtype", grmi.TypeString)
var Uom_BasicUomToggle = grmi.NewField("BasicUomToggle", "Uom.BasicUomToggle", "basicuomtoggle", grmi.TypeBool)
var Uom_BasicUom = grmi.NewField("BasicUom", "Uom.BasicUom", "basicuom", grmi.TypeString)
var Uom_ConvertRatio = grmi.NewField("ConvertRatio", "Uom.ConvertRatio", "convertratio", grmi.TypeFloat64)
var Uom_LastModify = grmi.NewField("LastModify", "Uom.LastModify", "lastmodify", grmi.TypeDateTime)
var Uom_LastUser = grmi.NewField("LastUser", "Uom.LastUser", "lastuser", grmi.TypeString)
var Uom_CreateTime = grmi.NewField("CreateTime", "Uom.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Uom的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Uom = grmi.NewEntity(
	"Uom",
	func() interface{} { return &model.Uom{} },
	map[string]grmi.Field{
		Uom_PlantNr.Name:        Uom_PlantNr,
		Uom_UomId.Name:          Uom_UomId,
		Uom_UomName.Name:        Uom_UomName,
		Uom_UomType.Name:        Uom_UomType,
		Uom_BasicUomToggle.Name: Uom_BasicUomToggle,
		Uom_BasicUom.Name:       Uom_BasicUom,
		Uom_ConvertRatio.Name:   Uom_ConvertRatio,
		Uom_LastModify.Name:     Uom_LastModify,
		Uom_LastUser.Name:       Uom_LastUser,
		Uom_CreateTime.Name:     Uom_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"UomName", "UomType", "BasicUomToggle", "BasicUom", "ConvertRatio", "LastUser"})
